## ros-indigo-cob-moveit-bringup 0.6.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_moveit_bringup)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS bin/add_robot.sh bin/update_collisions.sh DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-cob-moveit-bringup (0.6.6-1trusty) trusty; urgency=high

  * Merge pull request #133 <https://github.com/ipa320/cob_manipulation/issues/133> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #128 <https://github.com/ipa320/cob_manipulation/issues/128> from ipa-fxm/configurable_moveit_config_helper
    additional arguments for moveit_config helper
  * simplify template substitution
  * fix setup assistant jade xacro support
  * additional arguments for moveit_config helper
  * Merge pull request #124 <https://github.com/ipa320/cob_manipulation/issues/124> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #123 <https://github.com/ipa320/cob_manipulation/issues/123> from ipa-fxm/fix_launch_arguments
    properly pass missing launch arguments
  * properly pass missing launch arguments
  * updated author/maintainer
  * use license apache 2.0
  * Contributors: Felix Messmer, Mathias Lüdtke, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-moveit-bringup (0.6.5-1trusty) trusty; urgency=high

  * remove stomp configuration
  * Revert "Adding chomp planning pipeline"
  * chomp planning pipeline file added robot argument
  * restructure moveit config
  * Update planning_context.xml
  * Stomp planner (#104 <https://github.com/ipa320/cob_manipulation/issues/104>)
    * moveit setup with UR arm
    * Arm moveit configuration
    * Controller corrected
    * Arm with gripper moveit config
    * solver options tunned
    * moveit whole body configuration planning for raw3-1
    * whole body configuration with virtual joint working
    * Stomp configuration files created for mailto:rob@work arm
    * stomp configuration for raw3-1 created and tested
    * changes from pull request
    * new change from pull request
    * added travis rosinstall dependencies for industrial_moveit
    * identation fixed in travis.rosinstall
    * NEW FIX TO INDENTATION
    * proper rosdep key for occupancy grid  monitor
    * rosinstall chnaged to my local fork to test install tags
    * stomp moveit link change to original github browser after pull request being accepted
    * version updated
    * pull request changes
  * add xacro-args --inorder
  * fix moveit deprecation warning
  * scripts for updating collisions in moveit_config
  * move setup_assistant launch file
  * do not load robot_description in cob_moveit_config/upload_config.launch
  * minor launch adjustments
  * fix database location
  * split, move and adjust launch files
  * new package cob_moveit_bringup
  * Contributors: Bruno Brito, Felix Messmer, Mayank_Patel, ipa-fxm

 -- Mathias Luedtke <mdl@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-cob-moveit-bringup
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-moveit-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-hardware-config, ros-indigo-cob-moveit-config, ros-indigo-joint-state-publisher, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-plugins, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-perception, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-setup-assistant, ros-indigo-robot-state-publisher, ros-indigo-tf
Description: MoveIt launch files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-moveit-bringup//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
